# cia.rb

Path: | lib/tasks/cia.rb
Last Update: | Sun Mar 01 08:42:39 -0700 2009

Figure out the root path of this app. The default method will assume that its the same as the location of the running Rakefile

### Required files

actionmailer

### Constants

ROOT | = | File.expand_path(FileUtils.pwd) + '/' |  | Figure out the root path of this app. The default method will assume that its the same as the location of the running Rakefile
RAKE_TASK | = | ENV['RAKE_TASK'] || '' |  | Standard settings, you can override each of them using the environment e.g. rake cia EMAIL_TO=your@email.com
EMAIL_TO | = | ENV['EMAIL_TO'] || 'tobi@leetsoft.com'
EMAIL_FROM | = | ENV['EMAIL_FROM'] || 'CIA <cia@jadedpixel.com>'
NAME | = | ENV['NAME'] || ROOT.scan(/(\w+)\/$/).flatten.first.capitalize |  | Get last segment of application‘s path and treat it as name.

[Validate]